[Monetdb-developers] FreeBSD port of MonetDB Feb2009-SP1 release

Fabian Groffen Fabian.Groffen at cwi.nl
Mon Apr 13 18:14:14 CEST 2009


On 13-04-2009 10:57:01 +0000, George Cox wrote:
> First of all, thank you for looking!  The packaging is pretty much hell, yes.
> :-)  I'm afraid that I haven't even used MonetDB/Java at all, so I wasn't aware
> of the version constraints you mention.  A quick Google shows that the culprit
> is StartOfHeaderParser.getNextAsString() from 1.6u10.  It looks like it might
> be possible to avoid the IndexOutOfBoundsException (and thus remove the version
> constraints) in that method, but I haven't tried it so I have no patches to
> submit right now... :-)

You can't compile JDBC with 1.6.  Running it with 1.6 is bound to this
bug, which Sun in the meanwhile might have fixed already.




More information about the developers-list mailing list